Order update
POST
https://api.forter-secure.com/v2/order-update/{id}
idstring
acceptstringGenerated from available response content types
api-versionstringSpecify the version of the API to target.
x-forter-siteidstring<p>Forter-assigned ID for your account. Note that your Site ID for your test site is different from your production site.</p>
AuthorizationstringBasic Authentiation in the form of a username and password. Use the API Key as the username and leave the password empty.
bodyobject<p>For orders placed over the phone, add the customer's connection information to receive a fraud or abuse decision.</p>
200Example validationResponse
400<p>Bad Request (Often missing a required parameter)</p>
401<p>Unauthorized (No valid API key provided)</p>
404<p>Not Found (The requested item doesn't exist)</p>
500<p>Server Error (Something went wrong on Forter's end)</p>
curl --request POST \
--url https://api.forter-secure.com/v2/order-update/{id} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'api-version: 10.3' \
--header 'x-forter-siteid: a1b2c3d4e5f6' \
--header 'authorization: Basic <base64-encoded-api-key:>' \
--data '{
"connectionInformation": {
"customerIP": "10.0.0.127",
"userAgent": "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/47.0.2526.73 Safari/537.36"
},
"merchantFeedback": {
"merchantCustomerSupport": {
"contactEmailUsed": {},
"contactMethodType": "PHONE",
"contactNameUsed": {
"customerContactNameType": "OTHER"
},
"contactPhoneUsed": {},
"contactTime": 1430997968,
"customerSupportChangeOrderDetails": {},
"customerSupportFurtherVerification": {
"customerAnsweredSecurityQuestions": true,
"customerSupportAdditionalVerificationDocuments": {
"documentType": "Passport"
}
},
"initiatedBy": "CUSTOMER"
},
"merchantWouldLikeApproved": {
"merchantContactedIssuer": {},
"merchantDisagreesWithSpecificDeclineReason": {
"atoIsIrrelevant": {},
"chbkIsIrrelevant": {}
},
"merchantFoundBuyerExposure": {
"customerSignedInUsingLegitSocialNetworkAccount": {},
"merchantFoundBuyerEmailOnline": {},
"merchantFoundBuyerPhoneNumberOnline": {},
"merchantFoundConnectionBetweenIndividualsInTheOrder": {
"dataSource": {}
},
"merchantFoundConnectionBetweenNameAndAddress": {
"dataSource": {}
},
"merchantFoundRecipientEmailOnline": {},
"merchantFoundRecipientPhoneNumberOnline": {}
},
"merchantPolicyDecisionNotApplicable": {},
"merchantThinksOrderCharacteristicsAreLegit": {
"goodCustomer": {
"establishedAccount": {
"establishedAccountDetails": {},
"relatedAccountDetails": {}
},
"previousPointOfSalePurchase": {}
},
"lowRiskPaymentMethod": {}
}
},
"merchantWouldLikeDeclined": {
"fraudTypeSuspectedByMerchant": {
"merchantSuspectsAccountTakeOver": {
"merchantSuspectsAccountDetails": {},
"merchantSuspectsOrderDetails": {}
},
"merchantSuspectsBuyerSellerCollusion": {
"merchantSuspectsAccountDetails": {},
"merchantSuspectsOrderDetails": {}
},
"merchantSuspectsFraudOther": {
"merchantSuspectsAccountDetails": {},
"merchantSuspectsOrderDetails": {}
},
"merchantSuspectsFriendlyFraud": {
"merchantSuspectsAccountDetails": {},
"merchantSuspectsOrderDetails": {}
},
"merchantSuspectsStolenPaymentMethod": {
"merchantSuspectsAccountDetails": {},
"merchantSuspectsOrderDetails": {}
}
}
}
},
"orderId": "2356fdse0rr489",
"primaryRecipient": {
"additionalVerificationDocuments": {
"documentSource": "UPLOADED_FILE",
"documentType": "Passport",
"documentVerificationServiceResponsePayload": {}
},
"address": {
"address1": "235 Montgomery st.",
"city": "San Francisco",
"country": "US",
"savedData": {
"usedSavedData": true
}
},
"bankAccount": {
"paymentGatewayData": {}
},
"comments": {},
"cryptoWallet": {
"cryptoWalletType": "EXTERNAL"
},
"personalDetails": {},
"phone": [
{
"phone": "15557654321",
"smsVerified": {
"sent": true,
"verified": false
}
}
]
},
"totalAmount": {}
}'